Main Page Widgets Namespaces Book

# Glib::SignalProxyNormal Class Reference

Inheritance diagram for Glib::SignalProxyNormal:

[legend]
List of all members.

## Public Member Functions
| ~SignalProxyNormal ()
void | emission_stop ()
| stops the current signal emmision (not in SigC++)
## Protected Member Functions
| SignalProxyNormal (Glib::ObjectBase* obj, const SignalProxyInfo* info)
SigC::ConnectionNode* | connect_ (const SigC::SlotBase& slot_base, bool after)
SigC::ConnectionNode* | connect_notify_ (const SigC::SlotBase& slot_base, bool after)

## Constructor & Destructor Documentation

Glib::SignalProxyNormal::~SignalProxyNormal | ( |  | ) |

Glib::SignalProxyNormal::SignalProxyNormal | ( | Glib::ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[protected]`

## Member Function Documentation

SigC::ConnectionNode* Glib::SignalProxyNormal::connect_ | ( | const SigC::SlotBase& | slot_base,
|  | bool | after
| ) | `[protected]`

SigC::ConnectionNode* Glib::SignalProxyNormal::connect_notify_ | ( | const SigC::SlotBase& | slot_base,
|  | bool | after
| ) | `[protected]`

void Glib::SignalProxyNormal::emission_stop | ( |  | ) |

| stops the current signal emmision (not in SigC++)

The documentation for this class was generated from the following file:

- signalproxy.h